summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorAndrew Yourtchenko <ayourtch@gmail.com>2021-02-12 13:36:07 +0000
committerAndrew Yourtchenko <ayourtch@gmail.com>2021-02-15 17:34:00 +0000
commit3be6758cc8172055a1fe5e74d6f74e75848b7a6d (patch)
treee324119435655e75935131256ecc10c32bcdf25c /jjb
parent85da45998982bac4cbda81911b81f78d73927dc1 (diff)
vpp: enable multi-worker make test on Debian10
This patch enables the multi-worker make test on the branches that support it, as a voting job directly, to capture the working tests and avoid the new non-working multiworker testcases. Change-Id: Ibeedd8f8aa2851c022b045d37505bb75bf460de8 Signed-off-by: Andrew Yourtchenko <ayourtch@gmail.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/scripts/vpp/build.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/build.sh b/jjb/scripts/vpp/build.sh
index 76aab8aa..bfeaacea 100644
--- a/jjb/scripts/vpp/build.sh
+++ b/jjb/scripts/vpp/build.sh
@@ -34,6 +34,7 @@ IS_CSIT_VPP_JOB="${IS_CSIT_VPP_JOB:-}"
MAKE_PARALLEL_FLAGS="${MAKE_PARALLEL_FLAGS:-}"
MAKE_PARALLEL_JOBS="${MAKE_PARALLEL_JOBS:-}"
MAKE_TEST_OS="${MAKE_TEST_OS:-ubuntu-18.04}"
+MAKE_TEST_MULTIWORKER_OS="${MAKE_TEST_MULTIWORKER_OS:-debian-10}"
VPPAPIGEN_TEST_OS="${VPPAPIGEN_TEST_OS:-${MAKE_TEST_OS}}"
BUILD_RESULT="SUCCESSFULLY COMPLETED"
BUILD_ERROR=""
@@ -104,6 +105,16 @@ make_build_test() {
else
echo "Skip running 'make test' on ${OS_ID}-${OS_VERSION_ID}"
fi
+ if [ "${OS_ID}-${OS_VERSION_ID}" == "${MAKE_TEST_MULTIWORKER_OS}" ] && git grep VPP_WORKER_CONFIG; then
+ if ! make VPP_WORKER_CONFIG="workers 2" COMPRESS_FAILED_TEST_LOGS=yes RETRIES=3 test; then
+ BUILD_ERROR="FAILED 'make test' with VPP_WORKER_CONFIG='workers 2'"
+ return
+ else
+ echo -e "\n* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^} MULTIWORKER MAKE TEST SUCCESSFULLY COMPLETED\n"
+ fi
+ else
+ echo "Skip running 'make test' with VPP_WORKER_CONFIG='workers 2' on ${OS_ID}-${OS_VERSION_ID}"
+ fi
}
if [ "${DRYRUN,,}" != "true" ] ; then